Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon.forms.formmodel
Class WidgetDefinitionList

    java.lang.Object
      org.apache.cocoon.forms.formmodel.WidgetDefinitionList

public class WidgetDefinitionList
extends Object

Helper class for the Definition implementation of widgets containing other widgets.

Version:
  $Id: WidgetDefinitionList.java 587759 2007-10-24 03:00:37Z vgritsenko $

Constructor Summary
`WidgetDefinitionList(WidgetDefinition definition)`

Method Summary
`void` | `addWidgetDefinition(WidgetDefinition widgetDefinition)`
`void` | `checkCompleteness()`
`void` | `createWidget(Widget parent, String id)`
`void` | `createWidgets(Widget parent)`
`WidgetDefinition` | `getWidgetDefinition(String id)`
`List` | `getWidgetDefinitions()`
`boolean` | `hasWidget(String id)`
`void` | `resolve(List parents, WidgetDefinition parent)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WidgetDefinitionList

    public WidgetDefinitionList(WidgetDefinition definition)

Parameters:
  `definition` - the widget definition to which this container delegate belongs

Method Detail

### size

    public int size()

### addWidgetDefinition

    public void addWidgetDefinition(WidgetDefinition widgetDefinition)
                             throws DuplicateIdException

  Throws:
    `DuplicateIdException`

### getWidgetDefinitions

    public List getWidgetDefinitions()

### hasWidget

    public boolean hasWidget(String id)

### getWidgetDefinition

    public WidgetDefinition getWidgetDefinition(String id)

### resolve

    public void resolve(List parents,
                        WidgetDefinition parent)
                 throws Exception

  Throws:
    `Exception`

### createWidget

    public void createWidget(Widget parent,
                             String id)

### createWidgets

    public void createWidgets(Widget parent)

### checkCompleteness

    public void checkCompleteness()
                           throws IncompletenessException

  Throws:
    `IncompletenessException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2008 The Apache Software Foundation. All Rights Reserved.